# Run the rules again over chosen conversations (owner or manager)

`POST /workspace/inbox/rules/run` · Rivier · inbox

Run the rules again over chosen conversations (owner or manager).

- Scope: inbox:write
- Graphql: Mutation.inboxRuleRun
- Sdk: inbox.rule.run
- Cli: inbox rule run

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "ids": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "minItems": 1,
      "maxItems": 200
    },
    "only": {
      "type": "array",
      "items": {
        "type": "string",
        "format": "uuid"
      },
      "maxItems": 50
    }
  },
  "required": [
    "ids"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/inbox/rules/run' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
```
